<template>
    <div class="buyme">
        <div class="wrapper">
            <h3>Do U Want Buy Me A Coffee :) .?</h3>
            <div class="method">
                <ul>
                    <li @click="sendMeMoney">
                        <img :src="require(`@/assets/dana.png`)" alt="logo dana"/>
                    </li>
                      <li @click="sendKoFi">
                        <img :src="require(`@/assets/ko-fi.png`)" alt="logo dana"/>
                    </li>
                </ul>
            </div>
            <div class="comment">
                <h3 class="color">Saran</h3>
                <form class="input-comment" @submit.prevent="saveToFs" >
                    <textarea
                        v-model="inputComment"
                        placeholder="Input Here"
                    >
                    </textarea>
                    <button>Submit</button>
                </form>
                <div class="comments-list">
                    <div class="speech"  v-for="(coment,index) in data" :key="index">
                        <p>
                            {{coment.comment}}
                        </p>
                        <span>{{coment.user}}</span>
                    </div>
                </div>
            </div>
        </div>
    </div>    
</template>
<script>
import {ref} from "vue"
import {getAllComment ,createComment} from "../firebase"
import {uuid} from "../utils.js"
export default {
 setup() {
     const inputComment = ref('')
     const {data ,loading} = getAllComment()
     console.log("isi data", data)
     const saveToFs= async()=> {
         const data = {
             comment : inputComment.value,
             user : localStorage.username ? localStorage.username : `anonymous${uuid}`
         }
         createComment(data)
         inputComment.value = ''
     }
     const sendMeMoney = () => {
         window.open('https://link.dana.id/qr/7y9bwny', '_blank')
     }

     const sendKoFi = () => {
         window.open('https://ko-fi.com/slapcorruptor','_blank')
     }
     return {data,loading,inputComment,saveToFs, sendMeMoney,sendKoFi}
 }
}
</script>
<style>
@import url('https://fonts.googleapis.com/css2?family=Baloo+Tamma+2:wght@500;600;700&display=swap');

.buyme{
    height: 100vh;
    display: flex;
    width: 100%;
    flex-direction: column;
}

.buyme .wrapper{
    width: 900px;
    margin: auto;
    background-color: rgb(252, 249, 249);
    height: 500px;
    border:1px dashed #486d0d;
    overflow: hidden;
    box-shadow: 0 3rem 5rem -2rem rgba(0, 0, 0, 0.1), 0 3rem 20rem -5rem rgba(0, 0, 0, 0.1);
    border-radius: 5px;
}
.wrapper h3{
    color: #FFB74F;
    font-family:'Baloo Tamma 2', cursive; 
    font-size: 50px;
    text-shadow: 0px 0px 0px #486d0d,
    3px 3px 0px #486d0d,
    4.5px 4.5px 0px #486d0d;
    margin : auto;
    text-align: center;
}
.wrapper h3.color{
    color: #257568;
    font-family:'Baloo Tamma 2', cursive; 
    font-size: 50px;
    text-shadow: 0px 0px 0px #FFB74F,
    2px 2px 0px #FFB74F,
    4.5px 4.5px 0px #FFB74F;
    margin : auto;
}
.method ul{
    list-style: none;
    display: flex;
    justify-content: center;
}
.method ul li{
    margin: 5px;
    background-color: #fff;
    border-radius: 5px;
    width: 100px;
    height: 40px;
    border-radius: 4px;
    display: flex;
    cursor: pointer;
    box-shadow: 4px 8px 5px -3px #9E929221;
    justify-content: center;
}
.method ul li img{
width: 80px;
display: block;
margin: auto;
}

.wrapper .comment{
    height: 300px;
    width: 600px;
    margin: auto;
}
.comment .comments-list{
    margin: auto;
    height: 200px;
    display: flex;
    width: 450px;
    border:1px solid rgb(189, 188, 188);
    border-radius: 5px;
    padding: 10px;
    flex-direction: column;
    overflow-y: scroll;
}
.comments-list .speech{
  background-color: #eeeded6e;
  color:#2c3e50;
  border:1px solid;
  font-weight: 600;
  border-radius: 5px;
  font-size: 0.8em;
  margin-bottom: 10px;
  padding: 10px 5px;
  cursor: default;
}
.comments-list .speech:nth-child(2n){
    border-left: 5px solid;
}
.comments-list .speech:nth-child(2n+1){
    border-right: 5px solid;
}
.comments-list .speech:nth-child(4n+1) {
  border-color: #56b273;
}
.comments-list .speech:nth-child(4n+2) {
  border-color: #01AD9B;
}
.comments-list .speech:nth-child(4n+3) {
  border-color: #b388dd;
}
.comments-list .speech:nth-child(4n+4) {
  border-color: #ff8750;
}
.comments-list .speech p::before{
  content: "“";
  font-size: 30px;
  line-height: 0;
  color : #2c3e50;
  padding: 10px;
  display:inline;
}
.comments-list .speech span{
  display: inline;
  font-style: italic;
  float: right;
}
.comments-list .speech span::before{
  content: '-';
}
.comment .input-comment{
    display: flex;
    justify-content: center;
}
.input-comment textarea{
        overflow:hidden;
        background-color:#FFF;
        color:rgb(94, 90, 90);
        font-size:12pt;
        text-align: left;
        box-shadow: 0 2px 10px rgba(168, 166, 166, 0.2);
        resize:none;
        width: 250px;
        height: 50px;
        padding: 2px;
        margin:5px;
        border-radius: 5px;
        border : 2px solid #FFB74F

}
textarea:focus{
	border: solid 2px #257568;	
}
.input-comment button{
padding: 5px;
border: none;
background: #059669;
box-shadow: 0 2px 10px rgba(168, 166, 166, 0.2);
font-size: 12pt;
text-align: center;
border-radius: 0 25px 25px 0;
cursor: pointer;
margin :6px;
border: solid 2px #257568;	
color: #fff;
}
.input-comment button:focus{
    outline: none;
    border: solid 2px #257568;	
}
@media only screen and (max-width: 600px) {
    .comment .comments-list{
        width :340px
    }
 
.buyme .wrapper{
    width: 90%;
    height: 75vh;
}
.wrapper h3{
    color: #FFB74F;
    font-family:'Baloo Tamma 2', cursive; 
    font-size: 30px;
    text-shadow: 0px 0px 0px #486d0d,
    2px 2px 0px #486d0d,
    3px 3px 0px #486d0d;
    margin : auto;
    padding: 2px;
    line-height: 1.2;
}
.wrapper h3.color{
    color: #257568;
     text-shadow: 0px 0px 0px #FFB74F,
    2px 2px 0px #FFB74F,
    3px 3px 0px #FFB74F;
    font-size: 30px;
}
.wrapper .comment{
    height: 300px;
    padding: 60px 0px;
    width: auto;
    margin: auto;
}

}

</style>